## magnum 13.0.0+git2021120910.fa298eea

=== debian/changelog ===
magnum (13.0.0+git2021120910.fa298eea-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:58:46 -0500

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-bashate (>= 0.6.0),
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-doc8 (>= 0.8.0),
 python3-docker (>= 4.1.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.messaging (>= 12.2.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-pecan (>= 1.3.3),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-pygments (>= 2.7.1),
 python3-requests (>= 2.20.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 3.0.1),
 python3-stevedore (>= 1:3.3.0),
 python3-subunit (>= 1.4.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tz (>= 2020.4),
 python3-webob (>= 1:1.8.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 subunit,
 testrepository,
 vim,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.1.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.messaging (>= 12.2.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-pecan (>= 1.3.3),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.20.1),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:3.3.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.8.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

## magnum 13.1.1

=== debian/changelog ===
magnum (13.1.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New stable point release for OpenStack Xena (LP: #2019762).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 16:50:12 -0400

magnum (13.1.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Xena (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 10:02:14 -0300

magnum (13.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 12:09:05 +0000

## magnum 14.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
magnum (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 20:51:51 -0400

magnum (13.0.0+git2022030313.4c4bba13-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-doc8 build-depend.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2022 07:46:16 -0500

magnum (13.0.0+git2022030313.4c4bba13-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:16:37 -0500

=== debian/control ===
--- 
+++ 
@@ -19,17 +19,16 @@
  python3-alembic (>= 0.9.6),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 5.0.0),
- python3-bashate (>= 0.6.0),
+ python3-bashate,
  python3-cinderclient (>= 1:7.1.0),
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-doc8 (>= 0.8.0),
- python3-docker (>= 4.1.0),
+ python3-docker (>= 4.3.0),
  python3-eventlet (>= 0.28.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:3.2.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 2.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonpatch (>= 1.16),
@@ -68,9 +67,10 @@
  python3-pycadf (>= 1.1.0),
  python3-pygments (>= 2.7.1),
  python3-requests (>= 2.20.1),
+ python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
- python3-stestr (>= 3.0.1),
+ python3-stestr,
  python3-stevedore (>= 1:3.3.0),
  python3-subunit (>= 1.4.0),
  python3-taskflow (>= 2.16.0),
@@ -162,7 +162,7 @@
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-docker (>= 4.1.0),
+ python3-docker (>= 4.3.0),
  python3-eventlet (>= 0.28.0),
  python3-glanceclient (>= 1:3.2.0),
  python3-heatclient (>= 2.2.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(14\.\d.*)\.tar\.gz

## magnum 14.0.0+git2022071414.a5797a5e

=== debian/changelog ===
magnum (14.0.0+git2022071414.a5797a5e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:09:39 -0400

magnum (14.0.0+git2022060211.a5797a5e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 11:49:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 5.5.0),
@@ -64,13 +64,14 @@
  python3-osprofiler (>= 3.4.0),
  python3-pecan (>= 1.3.3),
  python3-pep8,
+ python3-pkg-resources (>= 30.0.0),
  python3-pycadf (>= 1.1.0),
- python3-pygments (>= 2.7.1),
+ python3-pygments (>= 2.7.2),
  python3-requests (>= 2.20.1),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
- python3-stestr,
+ python3-stestr (>= 3.1.0),
  python3-stevedore (>= 1:3.3.0),
  python3-subunit (>= 1.4.0),
  python3-taskflow (>= 2.16.0),
@@ -85,10 +86,9 @@
  subunit,
  testrepository,
  vim,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
-Homepage: https://github.com/openstack/magnum
+Homepage: https://opendev.org/openstack/magnum
 Testsuite: autopkgtest-pkg-python
 
 Package: magnum-api
@@ -195,6 +195,7 @@
  python3-oslo.versionedobjects (>= 2.1.0),
  python3-pbr (>= 5.5.0),
  python3-pecan (>= 1.3.3),
+ python3-pkg-resources (>= 30.0.0),
  python3-pycadf (>= 1.1.0),
  python3-requests (>= 2.20.1),
  python3-setuptools (>= 24.0.0),

## magnum 14.0.0+git2022091213.fe0d9fc3

=== debian/changelog ===
magnum (14.0.0+git2022091213.fe0d9fc3-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:13:55 -0400

## magnum 14.1.0

=== debian/changelog ===
magnum (14.1.0-0ubuntu1) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Yoga (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 09:58:37 -0300

## magnum 14.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.13 # MIT
SQLAlchemy>=1.2.0 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.8.1 # MIT
alembic>=0.9.6 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=4.3.0 # Apache-2.0
eventlet>=0.28.0 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
keystonemiddleware>=9.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.1.0 # Apache-2.0
oslo.config>=8.1.0 # Apache-2.0
oslo.context>=3.1.0 # Apache-2.0
oslo.db>=8.2.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.0 # Apache-2.0
oslo.messaging>=12.2.0 # Apache-2.0
oslo.middleware>=4.1.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.reports>=2.1.0 # Apache-2.0
oslo.serialization>=3.2.0 # Apache-2.0
oslo.service>=2.2.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0
oslo.versionedobjects>=2.1.0 # Apache-2.0
pbr>=5.5.0 # Apache-2.0
pecan>=1.3.3 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=5.0.0 # Apache-2.0
python-cinderclient>=7.1.0 # Apache-2.0
python-glanceclient>=3.2.0 # Apache-2.0
python-heatclient>=2.2.0 # Apache-2.0
python-neutronclient>=7.2.0 # Apache-2.0
python-novaclient>=17.2.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0
python-octaviaclient>=2.1.0 # Apache-2.0
requests>=2.20.1 # Apache-2.0
setuptools!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=30.0.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=3.3.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0
Werkzeug>=0.9 # BSD License

=== debian/changelog ===
magnum (14.1.1-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 14 Oct 2023 06:34:18 +0000

magnum (14.1.1-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2037332).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 16:52:06 -0400

## magnum 14.1.2

=== debian/changelog ===
magnum (14.1.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:22:25 +0000

magnum (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Remove_use_of_tenant_in_context.py.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:16:22 +0200

magnum (14.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add Remove_use_of_tenant_in_context.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 21:33:40 +0100

magnum (14.0.0~rc1-2) experimental; urgency=medium

  * Skip tests that are breaking in the buildd:
    - test_update_cluster_template_with_cluster_not_allow_update()
    - test_collection_links()

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 17:29:55 +0100

magnum (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:16:11 +0100

magnum (13.0.0-5) unstable; urgency=medium

  * Aslo blacklist:
    - api.controllers.v1.test_cluster_template.TestListClusterTemplate.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 20:12:37 +0100

magnum (13.0.0-4) unstable; urgency=medium

  * Blacklist all of:
    - .*api.controllers.v1.test_baymodel.TestPatch.*
    - .*api.controllers.v1.test_baymodel.TestPost.*
    - .*api.controllers.v1.test_cluster_template.TestPost.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 14:44:09 +0100

magnum (13.0.0-3) unstable; urgency=medium

  * Blacklist unit tests that are failing in buildd only:
    - TestPost.test_create_baymodel_with_invalid_long_string
    - TestPost.test_create_baymodel_with_network_driver_non_def_config
    - TestPost.test_create_baymodel_with_no_os_distro_image
    - TestPost.test_create_baymodel_with_volume_driver
    - TestPost.test_create_cluster_template_with_invalid_empty_string
    - TestPost.test_create_cluster_template_with_invalid_long_string
    - TestPost.test_create_cluster_template_with_network_driver
    - TestPost.test_create_cluster_template_with_no_network_driver
    - TestPost.test_create_cluster_template_with_overlay
    - TestPost.test_create_cluster_template_without_name
  * Remove --with systemd.
  * magnum-{api,common}: depends on ucf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 12:12:03 +0100

magnum (13.0.0-2) unstable; urgency=medium

  * Add python -c "import fcntl; fcntl.fcntl(1, fcntl.F_SETFL, 0)" before
    running tests, in the hope it fixes building on buildds.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 16:27:35 +0100

magnum (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:23:29 +0200

magnum (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switch policy to /etc/magnum/policy.d/00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:33:30 +0200

magnum (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 10:51:41 +0200

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-doc8,
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-marathon,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pecan,
 python3-pep8,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 3.3.0),
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 debconf,
 magnum-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 ucf,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ucf,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-decorator,
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-marathon,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pycadf,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 3.3.0),
 python3-taskflow,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://storyboard.openstack.org/#!/story/2003565
	# to follow-up on failed tests in Sid (works in Stretch)
	pkgos-dh_auto_test --no-py2 --concurrency 2 'magnum\.tests\.unit\.(?!(drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done|drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy|api\.controllers\.v1\.test_baymodel\.TestPatch|api\.controllers\.v1\.test_baymodel\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestListClusterTemplate|api\.controllers\.v1\.test_cluster_template\.TestPatch\.test_update_cluster_template_with_cluster_not_allow_update|api\.controllers\.v1\.test_federation\.TestListFederation\.test_collection_links))'
endif

#	mkdir -p $(CURDIR)/debian/python3-magnum/usr/bin
#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum/api/app.wsgi $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
#	chmod +x $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lock/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf certificates cert_manager_type barbican
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_messaging_notifications driver messaging
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf trust cluster_user_trust true

	# Magnum using also keystone_auth, set some defaults
	# which are configured by debconf later
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_url http://localhost:5000
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth www_authenticate_uri http://localhost:5000
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_name service
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth username magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth region_name regionOne
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_type password

	mkdir -p $(CURDIR)/debian/magnum-common/etc/magnum/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/etc/magnum/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace magnum

	# Comment out deprecated policies, otherwise, Nova doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/magnum-common/etc/magnum/policy.d/00_default_policy.yaml

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	cp etc/magnum/keystone_auth_default_policy.sample $(CURDIR)/debian/magnum-common/usr/share/magnum-common/keystone_auth_default_policy.json

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## magnum 15.0.0

=== debian/changelog ===
magnum (15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:07:06 -0400

## magnum 15.0.1

=== debian/changelog ===
magnum (15.0.1-4) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).
  * Also blacklist these other flacky tests:
    - TestListCluster.test_get_one_by_uuid()
    - TestPatch.test_replace_ok()

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 14:07:39 +0200

magnum (15.0.1-2) unstable; urgency=medium

  * Blacklist test_create_federation_with_valid_name(), failing in the buildd,
    but not in my laptop.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 12:37:14 +0100

magnum (15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 08:58:16 +0100

magnum (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Fix-compatibility-with-oslo.db-12.1.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:27:12 +0200

magnum (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:14:29 +0200

magnum (15.0.0~rc1-2) experimental; urgency=medium

  * Add Fix-compatibility-with-oslo.db-12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 09:12:28 +0200

magnum (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:55:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -17,7 +17,6 @@
 Build-Depends-Indep:
  alembic,
  bandit,
- python3-babel,
  python3-barbicanclient,
  python3-cinderclient,
  python3-cliff,
@@ -75,6 +74,7 @@
  python3-testtools,
  python3-tz,
  python3-webob,
+ python3-webtest,
  python3-werkzeug,
  python3-wsme,
  python3-yaml,
@@ -158,7 +158,6 @@
 Architecture: all
 Depends:
  alembic,
- python3-babel,
  python3-barbicanclient,
  python3-cinderclient,
  python3-cliff,

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,8 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# See https://storyboard.openstack.org/#!/story/2003565
 	# to follow-up on failed tests in Sid (works in Stretch)
-	pkgos-dh_auto_test --no-py2 --concurrency 2 'magnum\.tests\.unit\.(?!(drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done|drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy|api\.controllers\.v1\.test_baymodel\.TestPatch|api\.controllers\.v1\.test_baymodel\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestListClusterTemplate|api\.controllers\.v1\.test_cluster_template\.TestPatch\.test_update_cluster_template_with_cluster_not_allow_update|api\.controllers\.v1\.test_federation\.TestListFederation\.test_collection_links))'
+	pkgos-dh_auto_test --no-py2 --concurrency 2 'magnum\.tests\.unit\.(?!(drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done|drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy|api\.controllers\.v1\.test_baymodel\.TestPatch|api\.controllers\.v1\.test_baymodel\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestListClusterTemplate|api\.controllers\.v1\.test_cluster_template\.TestPatch\.test_update_cluster_template_with_cluster_not_allow_update|api\.controllers\.v1\.test_federation\.TestListFederation\.test_collection_links|api\.controllers\.v1\.test_federation\.TestPost\.test_create_federation_with_valid_name|api\.controllers\.v1\.test_cluster\.TestListCluster\.test_get_one_by_uuid|api\.controllers\.v1\.test_nodegroup\.TestPatch\.test_replace_ok))'
+
 endif
 
 #	mkdir -p $(CURDIR)/debian/python3-magnum/usr/bin

## magnum 15.0.1+git2023011009.a8a6a37c

=== debian/changelog ===
magnum (15.0.1+git2023011009.a8a6a37c-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:58:53 -0500

## magnum 15.0.1+git2023030309.ab9fe94d

=== debian/changelog ===
magnum (15.0.1+git2023030309.ab9fe94d-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:23:47 -0500

## magnum 15.0.2

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
@@ -5,7 +9,6 @@
 # Despite above warning added by global sync process, please use
 # ascii betical order.
 
-Babel!=2.4.0,>=2.3.4 # BSD
 PyYAML>=3.13 # MIT
 SQLAlchemy>=1.2.0 # MIT
 WSME>=0.8.0 # MIT

=== debian/changelog ===
magnum (15.0.2-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New stable point release (LP: #2054687).

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2024 15:09:15 +0000

magnum (15.0.1-0ubuntu1) kinetic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/zed branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Zed (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 09:57:15 -0300

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-bashate,
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-hacking,
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.messaging (>= 12.2.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-pecan (>= 1.3.3),
 python3-pep8,
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pygments (>= 2.7.2),
 python3-requests (>= 2.20.1),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 3.1.0),
 python3-stevedore (>= 1:3.3.0),
 python3-subunit (>= 1.4.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tz (>= 2020.4),
 python3-webob (>= 1:1.8.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 subunit,
 testrepository,
 vim,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Homepage: https://opendev.org/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.messaging (>= 12.2.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-pecan (>= 1.3.3),
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.20.1),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:3.3.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.8.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(15\.\d.*)\.tar\.gz

## magnum 16.0.0

=== debian/changelog ===
magnum (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:45:18 -0400

## magnum 16.0.1

=== debian/changelog ===
magnum (16.0.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Aug 2023 17:11:17 +0000

magnum (16.0.1-0ubuntu1) lunar; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * New stable point release for OpenStack Antelope (LP: #2030514).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2023 16:19:31 -0400

## magnum 16.0.1+git2023090714.d3897a74

=== debian/changelog ===
magnum (16.0.1+git2023090714.d3897a74-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:23:23 -0400

magnum (16.0.1+git2023082416.f241d15f-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2023 16:25:26 -0400

magnum (16.0.0+git2023061415.b578bd8a-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:04:59 -0400
